package com.kmall.admin.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;


/**
 * @author huangyq
 * @email
 * @date 2019-11-07 16:11:34
 */
public class WxOrderEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    private String wxOrderSn;

    private String merchOrderId;

    private String orderSn;

    private String wxOrderId;

    private String merchSn;

    private String merchName;

    private String platSn;

    private String platName;

    private String thirdPartyMerchCode;

    private String thirdPartyMerchName;

    private Date placeOrderlTime;

    private String autoSend;

    private String buyerRegNo;

    private Date buyerBillTime;

    private String buyerIdType;

    private String buyerIdCode;

    private String buyerName;

    private String buyerTel;

    private String consigneeIdType;

    private String consigneeIdCode;

    private String consigneeName;

    private String consigneeMob;

    private String consigneeTel;

    private String consigneeCountryCode;

    private String consigneeProvinceCode;

    private String consigneeProvince;

    private String consigneeCityCode;

    private String consigneeCity;

    private String consigneeDistrictCode;

    private String consigneeDistrict;

    private String consigneeAddress;

    private String consigneeZipCode;

    private String payerName;

    private String payerIdType;

    private String payerIdCode;

    private String payerMob;

    private String payEntCusCode;

    private String payNo;

    private BigDecimal goodsValue;

    private BigDecimal freight;

    private BigDecimal discount;

    private BigDecimal taxTotal;

    private BigDecimal acturalPaid;

    private Date payTime;

    private String exprType;

    private String exprCompId;

    private BigDecimal declExprFee;

    private String batchNumbers;

    private BigDecimal declPostTax;

    private String shopId;

    private String extraTag;

    private String currencyCode;

    private String wsFlag;

    private String buyerPayCheck;

    private String wxOrderDetail;

    private String clecOrderStatus;

    private String wayOrderStatus;

    private String projectCheckStatus;

    private String playOrderStatus;

    private String remark;

    private String createrSn;

    private Date createTime;

    private String moderSn;

    private Date modTime;

    private Date tstm;

    private String exField;

    private String exField2;

    private String exField3;

    private String exField4;

    private String exField5;

    private String exprAgreementType;

    private String placeOrderlTimeStr;

    private String failMsg;

    public String getPlaceOrderlTimeStr() {
        return placeOrderlTimeStr;
    }

    public void setPlaceOrderlTimeStr(String placeOrderlTimeStr) {
        this.placeOrderlTimeStr = placeOrderlTimeStr;
    }

    public String getExprAgreementType() {
        return exprAgreementType;
    }

    public void setExprAgreementType(String exprAgreementType) {
        this.exprAgreementType = exprAgreementType;
    }

    public String getWxOrderSn() {
        return wxOrderSn;
    }

    public void setWxOrderSn(String wxOrderSn) {
        this.wxOrderSn = wxOrderSn == null ? null : wxOrderSn.trim();
    }

    public String getMerchOrderId() {
        return merchOrderId;
    }

    public void setMerchOrderId(String merchOrderId) {
        this.merchOrderId = merchOrderId == null ? null : merchOrderId.trim();
    }

    public String getOrderSn() {
        return orderSn;
    }

    public void setOrderSn(String orderSn) {
        this.orderSn = orderSn == null ? null : orderSn.trim();
    }

    public String getWxOrderId() {
        return wxOrderId;
    }

    public void setWxOrderId(String wxOrderId) {
        this.wxOrderId = wxOrderId == null ? null : wxOrderId.trim();
    }

    public String getMerchSn() {
        return merchSn;
    }

    public void setMerchSn(String merchSn) {
        this.merchSn = merchSn == null ? null : merchSn.trim();
    }

    public String getMerchName() {
        return merchName;
    }

    public void setMerchName(String merchName) {
        this.merchName = merchName == null ? null : merchName.trim();
    }

    public String getPlatSn() {
        return platSn;
    }

    public void setPlatSn(String platSn) {
        this.platSn = platSn == null ? null : platSn.trim();
    }

    public String getPlatName() {
        return platName;
    }

    public void setPlatName(String platName) {
        this.platName = platName == null ? null : platName.trim();
    }

    public String getThirdPartyMerchCode() {
        return thirdPartyMerchCode;
    }

    public void setThirdPartyMerchCode(String thirdPartyMerchCode) {
        this.thirdPartyMerchCode = thirdPartyMerchCode == null ? null : thirdPartyMerchCode.trim();
    }

    public String getThirdPartyMerchName() {
        return thirdPartyMerchName;
    }

    public void setThirdPartyMerchName(String thirdPartyMerchName) {
        this.thirdPartyMerchName = thirdPartyMerchName == null ? null : thirdPartyMerchName.trim();
    }

    public Date getPlaceOrderlTime() {
        return placeOrderlTime;
    }

    public void setPlaceOrderlTime(Date placeOrderlTime) {
        this.placeOrderlTime = placeOrderlTime;
    }

    public String getAutoSend() {
        return autoSend;
    }

    public void setAutoSend(String autoSend) {
        this.autoSend = autoSend == null ? null : autoSend.trim();
    }

    public String getBuyerRegNo() {
        return buyerRegNo;
    }

    public void setBuyerRegNo(String buyerRegNo) {
        this.buyerRegNo = buyerRegNo == null ? null : buyerRegNo.trim();
    }

    public Date getBuyerBillTime() {
        return buyerBillTime;
    }

    public void setBuyerBillTime(Date buyerBillTime) {
        this.buyerBillTime = buyerBillTime;
    }

    public String getBuyerIdType() {
        return buyerIdType;
    }

    public void setBuyerIdType(String buyerIdType) {
        this.buyerIdType = buyerIdType == null ? null : buyerIdType.trim();
    }

    public String getBuyerIdCode() {
        return buyerIdCode;
    }

    public void setBuyerIdCode(String buyerIdCode) {
        this.buyerIdCode = buyerIdCode == null ? null : buyerIdCode.trim();
    }

    public String getBuyerName() {
        return buyerName;
    }

    public void setBuyerName(String buyerName) {
        this.buyerName = buyerName == null ? null : buyerName.trim();
    }

    public String getBuyerTel() {
        return buyerTel;
    }

    public void setBuyerTel(String buyerTel) {
        this.buyerTel = buyerTel == null ? null : buyerTel.trim();
    }

    public String getConsigneeIdType() {
        return consigneeIdType;
    }

    public void setConsigneeIdType(String consigneeIdType) {
        this.consigneeIdType = consigneeIdType == null ? null : consigneeIdType.trim();
    }

    public String getConsigneeIdCode() {
        return consigneeIdCode;
    }

    public void setConsigneeIdCode(String consigneeIdCode) {
        this.consigneeIdCode = consigneeIdCode == null ? null : consigneeIdCode.trim();
    }

    public String getConsigneeName() {
        return consigneeName;
    }

    public void setConsigneeName(String consigneeName) {
        this.consigneeName = consigneeName == null ? null : consigneeName.trim();
    }

    public String getConsigneeMob() {
        return consigneeMob;
    }

    public void setConsigneeMob(String consigneeMob) {
        this.consigneeMob = consigneeMob == null ? null : consigneeMob.trim();
    }

    public String getConsigneeTel() {
        return consigneeTel;
    }

    public void setConsigneeTel(String consigneeTel) {
        this.consigneeTel = consigneeTel == null ? null : consigneeTel.trim();
    }

    public String getConsigneeCountryCode() {
        return consigneeCountryCode;
    }

    public void setConsigneeCountryCode(String consigneeCountryCode) {
        this.consigneeCountryCode = consigneeCountryCode == null ? null : consigneeCountryCode.trim();
    }

    public String getConsigneeProvinceCode() {
        return consigneeProvinceCode;
    }

    public void setConsigneeProvinceCode(String consigneeProvinceCode) {
        this.consigneeProvinceCode = consigneeProvinceCode == null ? null : consigneeProvinceCode.trim();
    }

    public String getConsigneeProvince() {
        return consigneeProvince;
    }

    public void setConsigneeProvince(String consigneeProvince) {
        this.consigneeProvince = consigneeProvince == null ? null : consigneeProvince.trim();
    }

    public String getConsigneeCityCode() {
        return consigneeCityCode;
    }

    public void setConsigneeCityCode(String consigneeCityCode) {
        this.consigneeCityCode = consigneeCityCode == null ? null : consigneeCityCode.trim();
    }

    public String getConsigneeCity() {
        return consigneeCity;
    }

    public void setConsigneeCity(String consigneeCity) {
        this.consigneeCity = consigneeCity == null ? null : consigneeCity.trim();
    }

    public String getConsigneeDistrictCode() {
        return consigneeDistrictCode;
    }

    public void setConsigneeDistrictCode(String consigneeDistrictCode) {
        this.consigneeDistrictCode = consigneeDistrictCode == null ? null : consigneeDistrictCode.trim();
    }

    public String getConsigneeDistrict() {
        return consigneeDistrict;
    }

    public void setConsigneeDistrict(String consigneeDistrict) {
        this.consigneeDistrict = consigneeDistrict == null ? null : consigneeDistrict.trim();
    }

    public String getConsigneeAddress() {
        return consigneeAddress;
    }

    public void setConsigneeAddress(String consigneeAddress) {
        this.consigneeAddress = consigneeAddress == null ? null : consigneeAddress.trim();
    }

    public String getConsigneeZipCode() {
        return consigneeZipCode;
    }

    public void setConsigneeZipCode(String consigneeZipCode) {
        this.consigneeZipCode = consigneeZipCode == null ? null : consigneeZipCode.trim();
    }

    public String getPayerName() {
        return payerName;
    }

    public void setPayerName(String payerName) {
        this.payerName = payerName == null ? null : payerName.trim();
    }

    public String getPayerIdType() {
        return payerIdType;
    }

    public void setPayerIdType(String payerIdType) {
        this.payerIdType = payerIdType == null ? null : payerIdType.trim();
    }

    public String getPayerIdCode() {
        return payerIdCode;
    }

    public void setPayerIdCode(String payerIdCode) {
        this.payerIdCode = payerIdCode == null ? null : payerIdCode.trim();
    }

    public String getPayerMob() {
        return payerMob;
    }

    public void setPayerMob(String payerMob) {
        this.payerMob = payerMob == null ? null : payerMob.trim();
    }

    public String getPayEntCusCode() {
        return payEntCusCode;
    }

    public void setPayEntCusCode(String payEntCusCode) {
        this.payEntCusCode = payEntCusCode == null ? null : payEntCusCode.trim();
    }

    public String getPayNo() {
        return payNo;
    }

    public void setPayNo(String payNo) {
        this.payNo = payNo == null ? null : payNo.trim();
    }

    public BigDecimal getGoodsValue() {
        return goodsValue;
    }

    public void setGoodsValue(BigDecimal goodsValue) {
        this.goodsValue = goodsValue;
    }

    public BigDecimal getFreight() {
        return freight;
    }

    public void setFreight(BigDecimal freight) {
        this.freight = freight;
    }

    public BigDecimal getDiscount() {
        return discount;
    }

    public void setDiscount(BigDecimal discount) {
        this.discount = discount;
    }

    public BigDecimal getTaxTotal() {
        return taxTotal;
    }

    public void setTaxTotal(BigDecimal taxTotal) {
        this.taxTotal = taxTotal;
    }

    public BigDecimal getActuralPaid() {
        return acturalPaid;
    }

    public void setActuralPaid(BigDecimal acturalPaid) {
        this.acturalPaid = acturalPaid;
    }

    public Date getPayTime() {
        return payTime;
    }

    public void setPayTime(Date payTime) {
        this.payTime = payTime;
    }

    public String getExprType() {
        return exprType;
    }

    public void setExprType(String exprType) {
        this.exprType = exprType == null ? null : exprType.trim();
    }

    public String getExprCompId() {
        return exprCompId;
    }

    public void setExprCompId(String exprCompId) {
        this.exprCompId = exprCompId == null ? null : exprCompId.trim();
    }

    public BigDecimal getDeclExprFee() {
        return declExprFee;
    }

    public void setDeclExprFee(BigDecimal declExprFee) {
        this.declExprFee = declExprFee;
    }

    public String getBatchNumbers() {
        return batchNumbers;
    }

    public void setBatchNumbers(String batchNumbers) {
        this.batchNumbers = batchNumbers == null ? null : batchNumbers.trim();
    }

    public BigDecimal getDeclPostTax() {
        return declPostTax;
    }

    public void setDeclPostTax(BigDecimal declPostTax) {
        this.declPostTax = declPostTax;
    }

    public String getShopId() {
        return shopId;
    }

    public void setShopId(String shopId) {
        this.shopId = shopId == null ? null : shopId.trim();
    }

    public String getExtraTag() {
        return extraTag;
    }

    public void setExtraTag(String extraTag) {
        this.extraTag = extraTag == null ? null : extraTag.trim();
    }

    public String getCurrencyCode() {
        return currencyCode;
    }

    public void setCurrencyCode(String currencyCode) {
        this.currencyCode = currencyCode == null ? null : currencyCode.trim();
    }

    public String getWsFlag() {
        return wsFlag;
    }

    public void setWsFlag(String wsFlag) {
        this.wsFlag = wsFlag == null ? null : wsFlag.trim();
    }

    public String getBuyerPayCheck() {
        return buyerPayCheck;
    }

    public void setBuyerPayCheck(String buyerPayCheck) {
        this.buyerPayCheck = buyerPayCheck;
    }

    public String getWxOrderDetail() {
        return wxOrderDetail;
    }

    public void setWxOrderDetail(String wxOrderDetail) {
        this.wxOrderDetail = wxOrderDetail;
    }

    public String getClecOrderStatus() {
        return clecOrderStatus;
    }

    public void setClecOrderStatus(String clecOrderStatus) {
        this.clecOrderStatus = clecOrderStatus == null ? null : clecOrderStatus.trim();
    }

    public String getWayOrderStatus() {
        return wayOrderStatus;
    }

    public void setWayOrderStatus(String wayOrderStatus) {
        this.wayOrderStatus = wayOrderStatus == null ? null : wayOrderStatus.trim();
    }

    public String getProjectCheckStatus() {
        return projectCheckStatus;
    }

    public void setProjectCheckStatus(String projectCheckStatus) {
        this.projectCheckStatus = projectCheckStatus == null ? null : projectCheckStatus.trim();
    }

    public String getPlayOrderStatus() {
        return playOrderStatus;
    }

    public void setPlayOrderStatus(String playOrderStatus) {
        this.playOrderStatus = playOrderStatus == null ? null : playOrderStatus.trim();
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    public String getCreaterSn() {
        return createrSn;
    }

    public void setCreaterSn(String createrSn) {
        this.createrSn = createrSn == null ? null : createrSn.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getModerSn() {
        return moderSn;
    }

    public void setModerSn(String moderSn) {
        this.moderSn = moderSn == null ? null : moderSn.trim();
    }

    public Date getModTime() {
        return modTime;
    }

    public void setModTime(Date modTime) {
        this.modTime = modTime;
    }

    public Date getTstm() {
        return tstm;
    }

    public void setTstm(Date tstm) {
        this.tstm = tstm;
    }

    public String getExField() {
        return exField;
    }

    public void setExField(String exField) {
        this.exField = exField == null ? null : exField.trim();
    }

    public String getExField2() {
        return exField2;
    }

    public void setExField2(String exField2) {
        this.exField2 = exField2 == null ? null : exField2.trim();
    }

    public String getExField3() {
        return exField3;
    }

    public void setExField3(String exField3) {
        this.exField3 = exField3 == null ? null : exField3.trim();
    }

    public String getExField4() {
        return exField4;
    }

    public void setExField4(String exField4) {
        this.exField4 = exField4 == null ? null : exField4.trim();
    }

    public String getExField5() {
        return exField5;
    }

    public void setExField5(String exField5) {
        this.exField5 = exField5 == null ? null : exField5.trim();
    }

    public String getFailMsg() {
        return failMsg;
    }

    public void setFailMsg(String failMsg) {
        this.failMsg = failMsg;
    }
}
